Package weka.core.pmml.jaxbbindings

# Class SeasonalityExpoSmooth

java.lang.Object
weka.core.pmml.jaxbbindings.SeasonalityExpoSmooth

public class SeasonalityExpoSmooth extends Object

Java class for Seasonality_ExpoSmooth element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Seasonality_ExpoSmooth">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://www.dmg.org/PMML-4_1}REAL-ARRAY"/>
             </sequence>
             <attribute name="delta" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="period" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="phase" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="additive"/>
                   <enumeration value="multiplicative"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="unit" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SeasonalityExpoSmooth()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `Double`
  `getDelta()`
  Gets the value of the delta property.
  `BigInteger`
  `getPeriod()`
  Gets the value of the period property.
  `BigInteger`
  `getPhase()`
  Gets the value of the phase property.
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getUnit()`
  Gets the value of the unit property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setDelta(Double value)`
  Sets the value of the delta property.
  `void`
  `setPeriod(BigInteger value)`
  Sets the value of the period property.
  `void`
  `setPhase(BigInteger value)`
  Sets the value of the phase property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setUnit(String value)`
  Sets the value of the unit property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SeasonalityExpoSmooth

    public SeasonalityExpoSmooth()

- ## Method Details

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getDelta

    public Double getDelta()
    Gets the value of the delta property.
    Returns:
      possible object is `Double`

  - ### setDelta

    public void setDelta(Double value)
    Sets the value of the delta property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getPeriod

    public BigInteger getPeriod()
    Gets the value of the period property.
    Returns:
      possible object is `BigInteger`

  - ### setPeriod

    public void setPeriod(BigInteger value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getPhase

    public BigInteger getPhase()
    Gets the value of the phase property.
    Returns:
      possible object is `BigInteger`

  - ### setPhase

    public void setPhase(BigInteger value)
    Sets the value of the phase property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUnit

    public String getUnit()
    Gets the value of the unit property.
    Returns:
      possible object is `String`

  - ### setUnit

    public void setUnit(String value)
    Sets the value of the unit property.
    Parameters:
      `value` - allowed object is `String`